com.trendmicro.ds.platform.rest.api

## Interface ISupportAPI

-     @Path(value="/support")
      public interface ISupportAPI

  Support interface for retrieving diagnostic information from the system.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getAgentDiagnosticsPackage(java.lang.String sessionId, java.lang.Integer hostId)` Retrieve the agent diagnostics package for a specific host.
    `javax.ws.rs.core.Response` | `getManagerDiagnosticsPackage(java.lang.String sessionId, boolean verbose)` Retrieve the manager diagnostics package.

- - ### Method Detail

    - #### getAgentDiagnosticsPackage

          @GET
           @Path(value="hosts/{hostId}/diagnostics-package")
          javax.ws.rs.core.Response getAgentDiagnosticsPackage(@CookieParam(value="sID")
                                                                                                                       java.lang.String sessionId,
                                                                                                                       @PathParam(value="hostId")
                                                                                                                       java.lang.Integer hostId)
                                                                                                                throws java.lang.Exception

      Retrieve the agent diagnostics package for a specific host.

      If the agent is not reachable, then only the manager diagnostics will be included.

      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a ZIP file containing the diagnostics package.
      Throws:
        `java.lang.Exception`

    - #### getManagerDiagnosticsPackage

          @GET
           @Path(value="manager/diagnostics-package")
          javax.ws.rs.core.Response getManagerDiagnosticsPackage(@CookieParam(value="sID")
                                                                                                                  java.lang.String sessionId,
                                                                                                                  @DefaultValue(value="false") @QueryParam(value="verbose")
                                                                                                                  boolean verbose)
                                                                                                           throws java.lang.Exception

      Retrieve the manager diagnostics package.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a ZIP file containing the manager diagnostics package.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.